%global owner Commonjava
%global modulename charon

%global charon_version 1.4.0
%global sdist_tar_name %{modulename}-%{charon_version}

%global python3_pkgversion 3

Name:     %{modulename}
Summary:  Charon CLI
Version:  charon.1.3.2
Release:  1.20250612032057437318.pr312.96.gc0744f9%{?dist}
URL:      https://github.com/%{owner}/%{modulename}
Source0:  charon-charon.1.3.2.tar.gz
Provides: %{modulename} = %{version}-%{release}

Group:    Development/Tools
License:  APLv2

# Build Requirements
BuildArch: x86_64

BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-devel

Requires: python%{python3_pkgversion}-jinja2
Requires: python%{python3_pkgversion}-boto3
Requires: python%{python3_pkgversion}-botocore
Requires: python%{python3_pkgversion}-click
Requires: python%{python3_pkgversion}-requests
Requires: python%{python3_pkgversion}-pyyaml
Requires: python%{python3_pkgversion}-defusedxml
Requires: python%{python3_pkgversion}-subresource-integrity
Requires: python%{python3_pkgversion}-jsonschema
Requires: python%{python3_pkgversion}-urllib3
Requires: python%{python3_pkgversion}-semantic-version

%description
Simple Python tool with command line interface for charon init,
upload, delete, gen and ls functions.

%prep
%autosetup -p1 -n charon-charon.1.3.2

%build
# Disable debuginfo packages
%define _enable_debug_package 0
%define debug_package %{nil}
%py3_build


%install
export LANG=en_US.UTF-8 LANGUAGE=en_US.en LC_ALL=en_US.UTF-8
%py3_install


%files
%defattr(-,root,root)
%doc README.md
%{_bindir}/%{modulename}*
%{python3_sitelib}/*
%{!?_licensedir:%global license %doc}
%license LICENSE


%changelog
* Thu Jun 12 2025 Packit <hello@packit.dev> - charon.1.3.2-1.20250612032057437318.pr312.96.gc0744f9
- RADAS: use result file directly instead of folder in maven upload (Gang Li)
- Update project version to 1.4.0 (Gang Li)
- RADAS: add default ignore patterns for signing (Gang Li)
- RADAS: update Containerfile for radas support (Gang Li)
- Add missing oras deps in project.toml and setup.py (Gang Li)
- RADAS: change the request_queue to request_channel in config (Gang Li)
- Some chore changes: (Gang Li)
- Refactor: Refactor the RadasReceiver (Gang Li)
- Refactor: refactor the RadasSender (Gang Li)
- Feature of send radas sign request and unit test for it (liyu)
- Add sign response status and errors for receiver then use to control the main process (yma)
- Add request_id match logic for radas message receiver (yma)
- Change 'result' to 'results' ref signing/radas-nonprod test samples (yma)
- Add Unit tests for RADAS signing results parse and generation (yma)
- Fix: add back the radas_config type for mypy check (Gang Li)
- Some changes on sign cmd and config (yma)
- Remove timeout retry handling for sign result fetch from maven upload (yma)
- RADAS: Add sign command skeleton (Gang Li)
- Change on_message process method without using threads (yma)
- Add is_radas_enabled unified method to check radas enablement (yma)
- Ignore the registry config if the provided config path is not valid to read (yma)
- Use radas_config validate instead of is_radas_config_enable option (yma)
- Update quay_radas_registry_config to default None since it's not necessary for public (yma)
- Change sign_result_loc to cmd flag both for sign request and maven upload (yma)
- Use oras registry_config and registry url parse to finalize login (yma)
- Rename radas_sign_timeout_retry_count and radas_sign_timeout_retry_interval (yma)
- Format Code and fix typo (yma)
- Feat: Support to accept the response of signing result from RADAS (yma)
- RADAS: add radas configurations (Gang Li)
- Fix pip warning: add pyproject.toml (Gang Li)
- Fix mmeng-4362: re-sort the indexing page items (Gang Li)
- Konflux build pipeline service account migration for charon Signed-off-by: konflux <konflux@no-reply.konflux-ci.dev> (konflux)
- chore: add --version flag to support version check (Gang Li)
- Update version to 1.3.3 (Gang Li)
- fix: MMENG-4284 npm del error when deleting a package which has overlapped name with others (Gang Li)
- Enable test_check_invalidation for CloudFront test (Gang Li)
- Enable mypy types check and fix reported issues (Gang Li)
- Add Makefile (Gang Li)
- chore: fix a return value and a var declare issue (Gang Li)
- chore: fixed a api doc and added some comments (Gang Li)
- Replace space in error log file name of product and version (Gang Li)
- Add config option to be able to use non-default charon configuration (Gang Li)
- Update charon.spec to remove transitive deps (Gang Li)
- Red Hat Konflux update charon Signed-off-by: red-hat-konflux <konflux@no-reply.konflux-ci.dev> (red-hat-konflux)
- Red Hat Konflux purge charon Signed-off-by: red-hat-konflux <konflux@no-reply.konflux-ci.dev> (red-hat-konflux)
- Update version to 1.3.3 (Gang Li)
- fix: MMENG-4284 npm del error when deleting a package which has overlapped name with others (Gang Li)
- Enable test_check_invalidation for CloudFront test (Gang Li)
- Enable mypy types check and fix reported issues (Gang Li)
- Add Makefile (Gang Li)
- chore: fix a return value and a var declare issue (Gang Li)
- chore: fixed a api doc and added some comments (Gang Li)
- Replace space in error log file name of product and version (Gang Li)
- Add config option to be able to use non-default charon configuration (Gang Li)
- Red Hat Konflux update charon Signed-off-by: red-hat-konflux <konflux@no-reply.konflux-ci.dev> (red-hat-konflux)
- Use fixed image tag instead of floating latest for Container file (Gang Li)
- Use fixed image tag instead of floating latest for Container file (Gang Li)
- Update charon.spec to remove transitive deps (Gang Li)

* Tue May 7 2024 Gang Li <gli@redhat.com>
- 1.3.1 release
- Add checksum refresh command: refresh checksum files for maven artifacts
- Refactor the CF invalidating commands into cf sub command

* Fri Apr 12 2024 Gang Li <gli@redhat.com>
- 1.3.0 release
- Add validate command: validate the checksum for maven artifacts
- Add index command: support to re-index of the speicified folder
- Add CF invalidating features:
  - Invalidate generated metadata files (maven-metadata*/package.json/index.html) after product uploading/deleting in CloudFront
  - Add command to do CF invalidating and checking
- Fix bug: picking the root package.json as the first priority one to generate npm package path

* Mon Sep 18 2023 Harsh Modi <hmodi@redhat.com>
- 1.2.2 release
- hot fix for "dist_tags" derived issue

* Wed Sep 13 2023 Harsh Modi <hmodi@redhat.com>
- 1.2.1 release
- Fix the aws list objects max 1000 limit issue
- Fix the "dist_tags" issue in npm metadata generation

* Thu Jun 29 2023 Harsh Modi <hmodi@redhat.com>
- 1.2.0 release
- Add maven repository artifact signature feature

* Tue Sep 20 2022 Harsh Modi <hmodi@redhat.com>
- 1.1.2 release
- add configuration schema and validation
- allow specifying multiple target buckets

* Thu Aug 25 2022 Harsh Modi <hmodi@redhat.com>
- 1.1.1 release
